## com.sun.ws.rs.ext
Class RuntimeDelegateImpl

    java.lang.Object
      javax.ws.rs.ext.RuntimeDelegate
          com.sun.jersey.core.spi.factory.AbstractRuntimeDelegate
              com.sun.ws.rs.ext.RuntimeDelegateImpl

    public class RuntimeDelegateImpl

extends AbstractRuntimeDelegate

A default client-based and hardcoded implementation of `RuntimeDelegate` that will be instantiated if all look up mechanisms fail to find an instance.

A hardcoded reference to this class name occurs in the `RuntimeDelegate` class present in the JAX-RS api jar.

Author:
  Paul.Sandoz@Sun.Com

Nested Class Summary

Nested classes/interfaces inherited from class javax.ws.rs.ext.RuntimeDelegate
`RuntimeDelegate.HeaderDelegate<T>`

Field Summary

Fields inherited from class javax.ws.rs.ext.RuntimeDelegate
`JAXRS_RUNTIME_DELEGATE_PROPERTY`

Constructor Summary
`RuntimeDelegateImpl()`

Method Summary

`

`<T> T`

`

`createEndpoint(Application application, java.lang.Class<T> endpointType)`
Create a configured instance of the supplied endpoint type.

Methods inherited from class com.sun.jersey.core.spi.factory.AbstractRuntimeDelegate
`createHeaderDelegate, createResponseBuilder, createUriBuilder, createVariantListBuilder`

Methods inherited from class javax.ws.rs.ext.RuntimeDelegate
`getInstance, setInstance`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### RuntimeDelegateImpl

    public RuntimeDelegateImpl()

Method Detail

### createEndpoint

    public <T> T createEndpoint(Application application,
                                java.lang.Class<T> endpointType)
                     throws java.lang.IllegalArgumentException,
                            java.lang.UnsupportedOperationException

  Description copied from class: `RuntimeDelegate`
  Create a configured instance of the supplied endpoint type. How the returned endpoint instance is published is dependent on the type of endpoint.

  Specified by:
    `createEndpoint` in class `RuntimeDelegate`
  Parameters:
    `application` - the application configuration
    `endpointType` - the type of endpoint instance to be created.
  Returns:
    a configured instance of the requested type.
  Throws:
    `java.lang.IllegalArgumentException` - if application is null or the requested endpoint type is not supported.
    `java.lang.UnsupportedOperationException` - if the implementation supports no endpoint types.

Copyright © 2017 Oracle Corporation. All Rights Reserved.